import type { RouteRecordRaw } from 'vue-router'
import routes from '~pages'

/**
 * 过滤所有hidden的路由
 */
function filterHiddenRoutes(routes: RouteRecordRaw[]) {
  return routes.filter((i) => {
    if (i.children) {
      i.children = filterHiddenRoutes(i.children)
    }
    return !i.meta?.hidden
  })
}

/**
 * 获取真实存在的路由
 */
export function getRoutes() {
  return filterHiddenRoutes(routes)
}
