import App from './App.vue'

import '@unocss/reset/tailwind.css'
import './styles/main.css'
import 'uno.css'
import { setupPinia } from './modules/pinia'
import { setupI18n } from './modules/i18n'
import { initRouter, setupRouterGuards } from './modules/router/router'
import { setupPWA } from './modules/pwa'

let meta = document.createElement('meta')
meta.name = 'naive-ui-style'
document.head.appendChild(meta)

meta = document.createElement('meta')
meta.name = 'vueuc-style'
document.head.appendChild(meta)

; (async () => {
  const app = createApp(App)
  setupPinia(app)

  // initApplication

  // setup I18n
  await setupI18n(app)

  // Router
  const router = initRouter(import.meta.env.VITE_BASE_URL)
  app.use(router)
  // Router guards
  await setupRouterGuards()
  await router.isReady()

  // pwa
  await setupPWA()

  // mount
  app.mount('#app')
  // TODO MOCK
})()
