import { createPinia } from 'pinia'
import { createPersistedState } from 'pinia-plugin-persistedstate'
import type { App } from 'vue'

const pinia = createPinia()

// 持久化插件(localStorage)
pinia.use(createPersistedState({
  storage: localStorage,
  key: id => `${import.meta.env}__${id}`,
}))

export function setupPinia(app: App<Element>) {
  app.use(pinia)
}
