// To ensure it is treated as a module, add at least one `export` statement
export { }

declare interface Window {
  // extend the window
}

// with vite-plugin-vue-markdown, markdown files can be treated as Vue components
declare module '*.md' {
  import type { DefineComponent } from 'vue'

  const component: DefineComponent<object, object, any>
  export default component
}

declare module '*.vue' {
  import type { DefineComponent } from 'vue'

  const component: DefineComponent<object, object, any>
  export default component
}

declare module 'vue-router' {
  interface RouteMeta extends Record<string | number | symbol, any> {
    [key: string]: any

    // 忽略路由，菜单中也不可见
    hidden?: boolean
    // 在菜单中隐藏，但路由存在
    hideInMenu?: boolean
    // 隐藏子菜单
    hideChildrenInMenu?: boolean
    // 隐藏Tab
    hideInTab?: boolean
    // 在面包屑中隐藏
    hideInBreadcrumb?: boolean
    // 忽略KeepAlive
    ignoreKeepAlive?: boolean
    // 保持tab
    affix?: boolean
    // 页面权限
    perm?: string | boolean | RouteMeta[]
    // 页面标题
    title?: string
    // 页面图标(菜单)
    icon?: string
    // 菜单排序
    order?: number
  }
}
