import { acceptHMRUpdate, defineStore } from 'pinia'

export const useUserStore = defineStore('USER', () => {
  let userInfo = $ref<API.UserInfo>()
  let authInfo = $ref<API.LoginResp>()

  function $reset() {
    userInfo = Object.assign({})
    authInfo = Object.assign({})
  }

  return {
    $reset,
    userInfo,
    authInfo,
  }
}, { persist: true })

if (import.meta.hot)
  import.meta.hot.accept(acceptHMRUpdate(useUserStore as any, import.meta.hot))
