/// <reference types="vite/client" />

interface ImportMetaEnv {
  /** 项目基本地址 */
  readonly VITE_BASE_URL: string
  /** 项目名称 */
  readonly VITE_APP_NAME: string
  /** 项目标题 */
  readonly VITE_APP_TITLE: string
  /** 项目描述 */
  readonly VITE_APP_DESC: string

  /** API访问地址 */
  readonly VITE_API_URL: string
  /** 上传地址 */
  readonly VITE_UPLOAD_URL: string
  /** API前缀 */
  readonly VITE_API_URL_PREFIX: string

  /** 开启请求代理 */
  readonly VITE_HTTP_PROXY: boolean
  /** 是否开启打包文件大小结果分析 */
  readonly VITE_VISUALIZER: boolean
  /** 打包压缩 */
  readonly VITE_COMPRESS: 'gzip' | 'brotliCompress' | 'deflate' | 'deflateRaw' | 'none'
  /** 是否应用pwa */
  readonly VITE_PWA: boolean
  /** 是否启用Markdown插件,markdown生成html */
  readonly VITE_MARKDOWN: boolean
  // 是否开启Mock
  readonly VITE_USE_MOCK: boolean
  // 是否使用ViteSSG
  readonly VITE_USE_SSG: boolean
}

interface ImportMeta { readonly env: ImportMetaEnv }
