import type { RouteRecordNormalized } from 'vue-router'
import { pathToRegexp } from 'path-to-regexp'
import { isUrl } from '~/utils'

// export function getMenus(): Menu[] {
//   return filterTree()
// }

export function basicFilter(routes: RouteRecordNormalized[]) {
  return (menu: Menu) => {
    const matchRoute = routes.find((route) => {
      if (isUrl(menu.path))
        return true
      if (route.meta?.carryParam)
        return pathToRegexp(route.path).test(menu.path)
      const isSame = route.path === menu.path
      if (!isSame)
        return false
      if (route.meta?.ignoreAuth)
        return true
      return isSame || pathToRegexp(route.path).test(menu.path)
    })
    if (!matchRoute)
      return false
    menu.icon = (menu.icon || matchRoute.meta.icon) as string
    menu.meta = matchRoute.meta
    return true
  }
}
